signature PARSER_DEFAULT =
  sig
    structure ParseTreeStruct: PARSE_TREE
    structure Interface: INTERFACE

    type options = Interface.Options.options
    type ParseTree = ParseTreeStruct.ParseTree

    val Parse: options -> TextIO.instream -> ParseTree
    val ParseInput: options -> TextIO.instream -> ParseTree
    val ParseInclude: options -> string -> ParseTree
    val wasError: bool ref

  end
