signature TRANS_PREP =
  sig
    structure TransCommon: TRANS_COMMON

    type ParseTree = TransCommon.ParseTree
    type options = TransCommon.options
    type AsstVarsTree = TransCommon.AsstVarsTree

    (* collectAsstVars options findObject lim (stateVars, assts) *)
    val collectAsstVars: options -> (ParseTree -> ParseTree option) -> int -> 
      (ParseTree list * ParseTree list) -> (AsstVarsTree * TransCommon.Cone * 
			   TransCommon.PrimitiveVars)

  end
