(defvar symp-debug t
  "If non-nil, print the debugging info in the SyMP Debug buffer.")

(defun symp-list-to-alist (lst)
  "Converts a list of elements into an alist for `completing-read'
function."
  (let ((res nil))
    (while lst
      (setq res (cons (cons (car lst) nil) res))
      (setq lst (cdr lst)))
    res))

(provide 'symp-common)
