(* Defines the list of proof rules.  The actual definitions of proof
   rules have their own module for the code clarity. *)

signature PROOF_RULES_DEFAULT =
  sig
    structure Sequent: SEQUENT
    type options = Sequent.InputLanguage.Options.options

    val proofRules: unit -> Sequent.InferenceRule list
  end
